<!DOCTYPE html>
<!--
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
     KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
-->
<html ng-cloak>

<head>
    <!--
        Customize this policy to fit your own app's needs. For more guidance, see:
            https://github.com/apache/cordova-plugin-whitelist/blob/master/README.md#content-security-policy
        Some notes:
            * gap: is required only on iOS (when using UIWebView) and is needed for JS->native communication
            * https://ssl.gstatic.com is required only on Android and is needed for TalkBack to function properly
            * Disables use of inline scripts in order to mitigate risk of XSS vulnerabilities. To change this:
                * Enable inline JS: add 'unsafe-inline' to default-src
        -->
    <!--<meta http-equiv="Content-Security-Policy" content="default-src 'self' data: gap: https://ssl.gstatic.com 'unsafe-eval'; style-src 'self' 'unsafe-inline'; media-src *; img-src 'self' data: content:;">-->
    <meta name="format-detection" content="telephone=no">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width">
    <link rel="stylesheet" type="text/css" href="css/index.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap-theme.min.css">
    <link rel="stylesheet" type="text/css" href="css/play-futbol.css">
    <style>
        .navbar {
            margin-bottom: 20px;
        }
    </style>
    <title>Play Fútbol</title>
</head>

<body>        
    <div id="main" ng-controller="MainController as main">
        <div class="app" ng-show="main.currentView == main.showView" >
            <h1>{{ main.title }}</h1>
            <div id="deviceready" class="blink">
                <p class="event listening">Connecting to Device</p>
                <p class="event received">Play Fútbol ready</p>
            </div>
        </div>
        <div id="login" ng-show="main.currentView == main.loginView">
            <h1>{{ main.currentView.title }}</h1>
            <div class="login-page">
                <div class="form">
                    <form class="login-form">
                        <input type="text" placeholder="username" required autofocus/>
                        <input type="password" placeholder="password" required/>
                        <button ng-click="main.currentView = main.dashboardView">login</button>
                        <!--<p class="message">Not registered? <a href="#">Create an account</a></p>-->
                    </form>
                </div>
            </div>
        </div>
        <div id="dashboard" ng-show="main.currentView == main.dashboardView">                      
            <!-- Navbar -->>
            <nav class="navbar navbar-default">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1"
                            aria-expanded="false">
                            <span class="sr-only">Toggle navigation</span>      
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>                      
                        </button>
                        <span class="navbar-brand" href="#">
                            <img alt="Play Fútbol" src="img/play-futbol.png" width="40" height="30">
                        </span>
                        <sapan class="navbar-brand">{{ main.title }}</sapan>
                    </div>                    
                    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">                        
                        <ul class="nav navbar-nav navbar-right">                            
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                    Partidos asignados
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu">
                                    <li>
                                        <a href="#" ng-click="main.goMatch(0)">{{ main.getMatches()[0].title }}</a>
                                    </li>
                                    <li>
                                        <a href="#" ng-click="main.goMatch(1)">{{ main.getMatches()[1].title }}</a>
                                    </li>                                    
                                </ul>
                            </li>
                            <li>
                                <a href="#">Cerrar sesión</a>
                            </li>
                        </ul>
                    </div>                 
                </div>                
            </nav>

            <!-- Notificaciones del partido -->
            <div id="match" class="container-fluid bg-success" ng-show="main.showMatch">
                <div class="panel panel-success">
                    <div class="panel-heading"> {{ main.currentMatch.title }} </div>
                    <div class="panel-body">
                        <p>{{ main.currentMatch.info }}</p>
                    </div>                    
                    <!-- Table -->
                    <table id="match-table" class="table">
                        <thead>
                            <th>#</th>
                            <th>Evento</th>
                            <th>Descripción</th>
                        </thead>
                        <tbody>
                            
                        </tbody>
                    </table>
                </div>
            </div>                      

            <!-- Comandos para notificaciones -->
            <div class="btn-group btn-group-justified align-bottom bottom-align-text" ng-show="main.showMatch" role="group" aria-label="...">
                <div class="btn-group" role="group">
                    <button type="button" class="btn btn-default">Goles</button>
                </div>
                <div class="btn-group" role="group">
                    <button type="button" class="btn btn-default">Tarjetas</button>
                </div>
                <div class="btn-group" role="group">
                    <button type="button" class="btn btn-default">Partido</button>
                </div>
                <div class="btn-group" role="group">
                    <button type="button" class="btn btn-default" onclick="openCamera(event)">Capturas</button>
                </div>                  
            </div>            
        </div>        
    </div>
    
    <!-- Modal -->
    <div class="modal fade" id="input-modal" tabindex="-1" role="dialog" aria-labelledby="id-modal-label">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Cerrar"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title" id="id-modal-label">Notificación</h4>
                    </div>

                    <div class="modal-body">
                        ... this is the body
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                        <button type="button" class="btn btn-primary">Notificar</button>
                    </div>
                </div>
            </div>
        </div>

    <script type="text/javascript" src="cordova.js"></script>
    <script type="text/javascript" src="js/index.js"></script>
    <script type="text/javascript" src="js/angular.js"></script>
    <script type="text/javascript" src="js/angular-route.js"></script>
    <script type="text/javascript" src="js/jquery.min.js"></script>
    <script type="text/javascript" src="js/bootstrap.min.js"></script>
</body>

</html>